with Interfaces.C; use Interfaces.C;
with Interfaces.C.Strings;
with System;
limited with dbus_errors_h;
with dbus_types_h;

package dbus_address_h is

   --  skipped empty struct DBusAddressEntry

   function dbus_parse_address
     (arg1 : Interfaces.C.Strings.chars_ptr;
      arg2 : System.Address;
      arg3 : access int;
      arg4 : access dbus_errors_h.DBusError) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-address.h:43:13
   pragma Import (C, dbus_parse_address, "dbus_parse_address");

   function dbus_address_entry_get_value (arg1 : System.Address; arg2 : Interfaces.C.Strings.chars_ptr) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-address.h:47:13
   pragma Import (C, dbus_address_entry_get_value, "dbus_address_entry_get_value");

   function dbus_address_entry_get_method (arg1 : System.Address) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-address.h:49:13
   pragma Import (C, dbus_address_entry_get_method, "dbus_address_entry_get_method");

   procedure dbus_address_entries_free (arg1 : System.Address);  -- ../dbus/dbus-address.h:50:13
   pragma Import (C, dbus_address_entries_free, "dbus_address_entries_free");

   function dbus_address_escape_value (arg1 : Interfaces.C.Strings.chars_ptr) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-address.h:52:7
   pragma Import (C, dbus_address_escape_value, "dbus_address_escape_value");

   function dbus_address_unescape_value (arg1 : Interfaces.C.Strings.chars_ptr; arg2 : access dbus_errors_h.DBusError) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-address.h:53:7
   pragma Import (C, dbus_address_unescape_value, "dbus_address_unescape_value");

end dbus_address_h;
